/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 增减方式 
 */
var IncreaseDecreaseMethodResource = {

	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 查询所有的增减方式. 
	 */
	list : function(){
		var requestUrl = "IncreaseDecreaseMethodResource/list";


		return new Promise(function(resolve, reject) {
			$.ajax({
				url: Common.getApiURL(requestUrl),
				type: "post",
				contentType: "application/json",
				
				dataType: "json",
				
				
				beforeSend: function(request) {
					Common.addTokenToRequest(request);
				},
				success: function(data) {
					resolve(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	}
}
